<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.activity.AudioPlayerActivity">

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/line"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.80" />

    <View
        android:id="@+id/view"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="50dp"
        android:layout_marginTop="75dp"
        android:layout_marginEnd="50dp"
        android:layout_marginBottom="75dp"
        android:background="@drawable/rounded_rectangle_tab"
        app:layout_constraintBottom_toTopOf="@id/seek_bar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/back" />

    <ImageView
        android:id="@+id/back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:src="@drawable/back"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/favorite"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/un_like"
        app:layout_constraintBottom_toTopOf="@+id/image"
        app:layout_constraintStart_toEndOf="@+id/image" />

    <ImageView
        android:id="@+id/image"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_margin="50dp"
        android:scaleType="centerInside"
        android:src="@mipmap/placeholder"
        app:layout_constraintBottom_toBottomOf="@id/view"
        app:layout_constraintEnd_toEndOf="@id/view"
        app:layout_constraintStart_toStartOf="@id/view"
        app:layout_constraintTop_toTopOf="@id/view" />

    <ImageView
        android:id="@+id/loop"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/un_loop"
        app:layout_constraintBottom_toBottomOf="@+id/view"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/image" />

    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/app_name"
        android:textColor="@color/black"
        android:textSize="24sp"
        android:textStyle="bold"
        android:maxLines="1"
        android:ellipsize="end"
        app:layout_constraintBottom_toBottomOf="@+id/back"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/back" />

    <SeekBar
        android:id="@+id/seek_bar"
        style="?android:attr/progressBarStyleHorizontal"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:layout_marginBottom="50dp"
        android:maxHeight="5dp"
        android:progress="50"
        android:progressDrawable="@drawable/progress_gradient"
        android:thumb="@drawable/progress_thumb"
        app:layout_constraintBottom_toTopOf="@+id/line"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <ImageView
        android:id="@+id/min"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:src="@drawable/down"
        app:layout_constraintBottom_toBottomOf="@id/seek_bar"
        app:layout_constraintEnd_toStartOf="@+id/seek_bar"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/seek_bar" />

    <ImageView
        android:id="@+id/max"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="20dp"
        android:src="@drawable/up"
        app:layout_constraintBottom_toBottomOf="@id/seek_bar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/seek_bar"
        app:layout_constraintTop_toTopOf="@+id/seek_bar" />

    <ImageView
        android:id="@+id/play"
        android:layout_width="80dp"
        android:layout_height="80dp"
        android:background="@drawable/rounded_rectangle_tab"
        android:padding="10dp"
        android:src="@drawable/play"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/seek_bar" />

</androidx.constraintlayout.widget.ConstraintLayout>